import org.trinitydesktop.qt.*;

public class Tut3 extends TQObject {
	public static void main(String[] args) {
		TQApplication a = new TQApplication(args);

		TQVBox box = new TQVBox();
		box.resize(200, 120);
		
		TQPushButton quit = new TQPushButton("Quit", box);
		quit.setFont(new TQFont("Times", 18, TQFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), a, SLOT("quit()"));
		
		a.setMainWidget(box);
		box.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.trinitydesktop.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
